Known Issues
Creating Item Sets
Creating an item set from a user-generated script where the query parameter is not defined automatically includes all items in the generated item set by default.
Workaround: To prevent all items from being included, ensure that the query parameter is defined with either a valid query or a null value to prevent all items from being included.
NTLM Authentication
The use of NTLM authentication is no longer supported by Nuix. If NTLM authentication is used, an authentication token is always acquired when calling the PUT /v1/authenticatedUsers/login endpoint.
Workaround: Nuix recommends using basic authentication with Nuix Management Server and Nuix RESTful Service.
Licence Description Parameter
The licenceDescription parameter used in conjunction with the /v1/authenticatedUsers/login endpoint has been deprecated because the description associated with this parameter is subject to change. The LicenseDescription parameter will be removed in a future release.
Workaround:
The licenceShortName parameter should be used in its place along with the license’s short name.
Cookies2.dat
When a Nuix-generated cookies2.dat file is located in any userDataDirs folder set in nuix-restful-service.properties, an authentication token is always acquired when calling the PUT /v1/authenticatedUsers/login endpoint.
Workaround: Nuix recommends periodically checking to ensure that this folder does not contain a cookies2.dat file.
/v1/cases/{caseId}/keyStore Endpoint
The POST /v1/cases/{caseId}/keyStore endpoint is still under development and not intended for customer use in this release.
Case Title Migration Issues
Cases that contain a comma (,) or dollar sign ($) in the title will fail the migration process to version 7.0.
Workaround: Cases that have titles that include these symbols should be renamed prior to migration.